set -e

for frame in frames/cats-[0-9][0-9][0-9][0-9].png
do
    n="${frame#frames/cats-}"
    n="${n%.png}"
    out="frames/dither-${n}"
    last="${n:0-1}"
    node ../dither-image.js "$frame" "$out" &
    if (( last == 9 ))
    then
        wait
    fi
done
wait
